## currency-exchange-widget 0.1.0

=== src/Makefile ===
CC = gcc
OBJECTS = currency_func.o network.o values.o lib-currency-home-widget.c cJSON.o config.o

CFLAGS += $(shell pkg-config --cflags libcurl)
CFLAGS += $(shell pkg-config --cflags hildon-1 libhildondesktop-1)
LIBS += $(shell pkg-config --libs libcurl)
LIBS += $(shell pkg-config --libs hildon-1 libhildondesktop-1)

lib-currency-home-widget: $(OBJECTS)
	$(CC) -shared -o lib-currency-widget.so $(OBJECTS) $(CFLAGS) $(LIBS) $(DEBUG)

lib-currency-home-widget.o: lib-currency-home-widget.c
	$(CC) -shared -c lib-currency-home-widget.c  $(DEBUG)
network.o : network.c
	$(CC) $(CFLAGS) $(LIBS) -shared -c network.c $(DEBUG) 
currency_func.o: currency_func.c
	$(CC) $(CFLAGS) $(LIBS) -shared  -c currency_func.c $(DEBUG)
values.o: values.c
	$(CC) $(CFLAGS) $(LIBS) -shared  -c values.c  $(DEBUG)
cJSON.o: cJSON.c
	$(CC) $(CFGLAGS) $(LIBS) -shared -c cJSON.c $(DEBUG)
config.o: config.c
	$(CC) $(CFLAGS)  $(LIBS) -shared -c config.c $(DEBUG)
debug:  
	$(MAKE) $(MAKEFILE) DEBUG="-g -DDEBUG"
	

clean:
	rm ./network.o  ./cJSON.o ./currency_func.o ./values.o  ./lib-currency-widget.so ./config.o
	
install:
	install -d $(DESTDIR)/usr/share/currency-exchange-widget/icons/
	install -d $(DESTDIR)/usr/lib/hildon-desktop/
	install -d $(DESTDIR)/usr/share/applications/hildon-home/
	install ./lib-currency-widget.so $(DESTDIR)/usr/lib/hildon-desktop/
	install ./currency-exchange-widget.desktop $(DESTDIR)/usr/share/applications/hildon-home/
	install ./icons/* $(DESTDIR)/usr/share/currency-exchange-widget/icons/

## currency-exchange-widget 0.1.1-1

=== src/Makefile ===
CC = gcc
OBJECTS = currency_func.o network.o values.o lib-currency-home-widget.c cJSON.o config.o user-interface.o

CFLAGS += $(shell pkg-config --cflags libcurl)
CFLAGS += $(shell pkg-config --cflags hildon-1 libhildondesktop-1)
LIBS += $(shell pkg-config --libs libcurl)
LIBS += $(shell pkg-config --libs hildon-1 libhildondesktop-1)
INCLUDE += "-I/usr/include/conic"

lib-currency-home-widget: $(OBJECTS)
	$(CC) -shared -o lib-currency-widget.so $(OBJECTS) $(CFLAGS) $(LIBS) $(DEBUG)  $(INCLUDE)

lib-currency-home-widget.o: lib-currency-home-widget.c
	$(CC) -shared -c lib-currency-home-widget.c  $(DEBUG) $(INCLUDE)
network.o : network.c
	$(CC) $(CFLAGS) $(LIBS) -shared -c network.c $(DEBUG) 
currency_func.o: currency_func.c
	$(CC) $(CFLAGS) $(LIBS) -shared  -c currency_func.c $(DEBUG)
values.o: values.c
	$(CC) $(CFLAGS) $(LIBS) -shared  -c values.c  $(DEBUG)
cJSON.o: cJSON.c
	$(CC) $(CFLAGS) $(LIBS) -shared -c cJSON.c $(DEBUG) 
config.o: config.c
	$(CC) $(CFLAGS)  $(LIBS) -shared -c config.c $(DEBUG) 
user-interface.o: user-interface.c
	$(CC) $(CFLAGS) $(LIBS) -shared -c user-interface.c $(DEBUG)  $(INCLUDE)
debug:  
	$(MAKE) $(MAKEFILE) DEBUG="-g -DDEBUG"
	

clean:
	rm ./network.o  ./cJSON.o ./currency_func.o ./values.o  ./lib-currency-widget.so ./config.o ./user-interface.o
	
install:
	install -d $(DESTDIR)/usr/share/currency-exchange-widget/icons/
	install -d $(DESTDIR)/usr/lib/hildon-desktop/
	install -d $(DESTDIR)/usr/share/applications/hildon-home/
	install ./lib-currency-widget.so $(DESTDIR)/usr/lib/hildon-desktop/
	install ./currency-exchange-widget.desktop $(DESTDIR)/usr/share/applications/hildon-home/
	install ./icons/* $(DESTDIR)/usr/share/currency-exchange-widget/icons/

=== debian/changelog ===
currency-exchange-widget (0.1.1-1) unstable; urgency=low

    * Fixed bug timeout connection

    * Added colors to signal that the last update has failed
    
 -- Marcin Sliwa <currency_exchange_widget@binop.com>  Mon,  9 Aug 2010 15:17:03 +0200

currency-exchange-widget (0.1.0-1) unstable; urgency=low

  * Initial release 

 -- Marcin Sliwa <currency_exchange_widget@binop.com>  Mon,  2 Aug 2010 11:23:03 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/currency-exchange-widget.sgml > currency-exchange-widget.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/currency-exchange-widget.
	$(MAKE) DESTDIR=$(CURDIR)/debian/currency-exchange-widget install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## currency-exchange-widget 0.1.2-1

=== debian/changelog ===
currency-exchange-widget (0.1.2-1) unstable; urgency=low

    * Fixed bug in callback
    * Added update in background
    * Added update state

 -- Marcin Sliwa <currency_exchange_widget@binop.com>  Mon, 12 Aug 2010 15:17:03 +0200

## currency-exchange-widget 0.1.3-1

=== debian/changelog ===
currency-exchange-widget (0.1.3-1) unstable; urgency=low
    
    * fixed bug in threads

 -- Marcin Sliwa <currency_exchange_widget@binop.com>  Tue, 13 Aug 2010 15:30:04 +0200

=== debian/control ===
Source: currency-exchange-widget
Section: user/desktop
Priority: extra
Maintainer: Marcin Sliwa <currency_exchange_widget@binop.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libgconf2-dev, libcurl4-openssl-dev, libconic0-dev
Standards-Version: 3.7.2

Package: currency-exchange-widget
Architecture: any
Depends: ${shlibs:Depends}
Description: Widget that displays the current exchange rate of the selected currency.
XSBC-Bugtracker: mailto:currency_exchange_widget@binop.com
XB-Maemo-Display-Name: Currency Exchange Widget
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAsCAYAAAAjFjtnAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oIAgwKM6ktZlsAAAjySURBVGje1Zl5eFTVGcZ/586WyQaBQFADsZio
 SI0VEOIKCu5ptVRxQQFB0T7II4hK0QoEgWrTRx6sVZYqCCqiRikIQn0UcATU
 KqIURTZDJWELGAJZZjtf/7j3zkyYTBJJ8NHzR3LvzJlzv/c97/m2C9bQWg/X
 Wn+ptQ7Lz3RorUVE9mitn9RatwVQACLymYj0VEqJ/dnPeYgISimAjobW+i4R
 6Qn8IowHUEqJiADMU1rrTUqp/F+K8XFgtNZhpZTRwk39EfituSKgVItXdgJG
 S4wWBIWK3kf1mUC/lt1KsbviBxa8u4E1n29jZ1kFwVCYDm1T6dM9hzuuuZBL
 f32GuXIjWCNiOlG+D1ZVU/LBp6R4nAzsdwEp3qQG52MB215+kCcXrmLFp9+y
 r+wQuDzgMEwLbR50GIIh2memMXjA+RSPGojLMOeolgCw2RXA99+dPDp7CdtL
 9zF3wp387qL84z1Evfvyw0d4dPZSXnprHaSmQiiINyWJzh3b0C7FjdvppC4Q
 YP+ROnbvr7RYMkCELh28fDznEU7JSI+TVLMB2D88VFNH7+HT2bX3KEXD+zNx
 aGFEG3IcQ7bxr675nCFPvEJYm9+29SpeeGwIN16cj4o83qYfDtf6uXvqfJZs
 2B7RTrITSkuK6JCaXE9PzQJgGzJ1wQomz38ftxN8z42lZ252Qs3bn98w4XmW
 frQVHE46ZXhYVDScfvm5iUHHMLxq47dc8+AsMAwQaJ/movSNKaS4XZFnGs30
 uwydvoDHZ6+iS1YaO16blNB4m42QCL3ueYql67eDCPf+tid7355Ov/xcIpw1
 pOkYAq7ucRYP3XIpBMOg4NDREPcWLzJlbK3R5A6Etabv6KdZt2Uvp7b3suv1
 ItyG0ainqQuGyB30OGWVQVwOYdXT93F5fl6THiqRbDMLx3OoJmx+cqyGLSWT
 OadzVuM7YOO6cswM1m0p5/ROaexYPBmPw5HQp9lMXDV2JmWVAVJcml2LJ52Q
 8VhOGuChwQOsByhISWbEtAUR+4yEyJVi+surWP1VOUkuYe3fHyDJ4UgYWEQE
 BTz+4jv4Nn1PZrqLHa8Xkd0+PSLDE4izIELPvGzQ2nqwYmvZDwRC4YYBmIEJ
 1n61ncdmLgEl+J4fR5cOGagGNBsL+JuyA0yds4LMzGT2vD2dTm3TWiPxIT3F
 awcTQKisqqU6GGoYgLJ0MHjKQvAm8ejgvvTKzaaxk6JECITCXDXmWZzJbrYt
 moTHUPz4ENnwqPH7ozuizF3Z8l1ZJJWIY3Jk8cuUHTjKGdkZTLv7Bku/JM5K
 lGLx6o3sKd2Pb/54MrweK/y3ToK7s/wwGCrmoCmOVR+LB6BEOFBVzfxVmyAY
 5IXxtzYjtxHqQiGGTJ7HP6cM45LuXS0iaLUE9621X0YDnTL/Z2W2b0BCSvG3
 xe8RDAuF/c6l73lnNpkwKqVY9P5G+nTvwohrL2zdokKEKn+Ad1d/UT9aOwzO
 PC0LRKIABDha56d4/nugNeNv7x/jGBsfC5f7+Gj2eGhF48Ui9L6nXobkVLt2
 BIF26cm4rQTQGRsB31yzEVxJpCUpLjk3t0k2Bfjk653cVXgRzlYu6RSwv6qa
 Et/Xlv6jq+d1SsflMOLPwBLfZlAwYdhVzWJTAQcqDjHk6otal30RBOgxdCqB
 UGwxIOAP8Odh1x6XC1n+7v3PtoGCoddd3Gz5FF7S62TUvEyct5zyykAMKwpQ
 5HXtSOGF50bmGvbh3V3xA9WVx0j1ukn3uJrNp2EY0IrMA8xbuYFpc1fapVsk
 gBEMM2nY1fXSFsO+XPOfreD04HG5cBkGgvBTDttdr928g+FTX4XjKzuBbqe3
 YfCA3vXOmtNG+M3uMnAYOB2gDPWTtigE0/j1W0vpP2aWWWbWI1DhcsJ7M8fG
 nTXDPt2HqmpBKUJhQbSdEf0k1KNQzFm+jotHziCs7XxGRbVf5+eF8bdwWrs2
 cbpw2hNdDhN0jT+IX2s8zWx7tLgRoxSPzF5C8Yv/hpTk+EmhMHf/voA7B1zQ
 YFYQcaPZWZkgQm1tgO/2H+a8nFNOmuF2h6Kyuo6ew6exa38NJHtjZBPtG/Xv
 3ZW5Dw+O5GlxTsS+KDjnVxAOgWEwuvjVkysZpZj37nqyb5rIrgO1ZqCKeBzL
 62ih4MwsVhbfH6k1EjW2ALiix9lgmKh9X5Ty9f/20a1zlpnBtvA8iJUCKKX4
 vqKS+2e8wbK1m8HjiaYIxAarINdf1o13/vLHJjt49Zz4FX26mRceN6Oefs0s
 YES1TC6YBFTV+nli4Upyrp/Asg3bwO2OL+XFZH7kwIJmGR8p6m38r33wObcV
 vWK2MbTmnsIezHn4jqZT6kj9alexEtk1AcY99yaz/vUJtQF9nEH1XSU6xLK/
 jqSw9zlmUFNN732kK2GDyL1tIjv3VZs3YWHUwD48+8At9crN+ChtfRMD1Ld5
 B/94y8eyDd9QUxMCpxFvsD1CYc7KaU/J1BF0zznlRzUA4toquw9W0nXQFLTd
 sNZC3mlteGbszfTK60xmm9S4RbQI+w4fYfeBSlZ8vIVZb39IRUWNqfGYIgRR
 9X28FlwOGHVjATNG39xs1hsBYC5e4tvETRNeBLcH0JZbAwjjdQi/yTuVdulJ
 1PgD7NxTyfcHjyCGK1qzxrpDe91Y461H5udksH7un0hxOU84FY/bAXv7Snyb
 uGncLLMRKxJji4oUFtEk0QKYsAYWInVmnZ+C83J4ZswgLjirS4MN4RYBiD0P
 X31Xzu1FL7Flxz5wuxpo8jfue6LRNITb4+C6grN5cFA/Ls3Pizv8LXlDIwnR
 W4Y+v/RDHpvzDkdqBa0laujxv4v4MzP99XpcdExzM+7Wyxn9hyuiKbNqvWRR
 iUi40Q6d9TcQCrP3cBUlH35JyerP+HhzKdofjGFak5aRTu/uXbiydzduuOx8
 stKTaZvqredSWzu7auIlX5RRaSAeh4E6vx9DKbz1AlNzpNY6NYQBzEzcpVYx
 sTR+OIAUjyfGeIlreJ082wWl1PLIi27gF/OuOPKqS6SjYRXRvURkhIhsFhH9
 czYcKAOeAjIMwzj4f0UXseIpPVHIAAAAAElFTkSuQmCC

## currency-exchange-widget 0.1.5-1

=== Makefile ===

all:
	cd src && make
install:
	cd src && make install
clean:
	cd src  && make clean

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 CFLAGS += $(shell pkg-config --cflags hildon-1 libhildondesktop-1)
 LIBS += $(shell pkg-config --libs libcurl)
 LIBS += $(shell pkg-config --libs hildon-1 libhildondesktop-1)
-INCLUDE += "-I/usr/include/conic"
 
 lib-currency-home-widget: $(OBJECTS)
 	$(CC) -shared -o lib-currency-widget.so $(OBJECTS) $(CFLAGS) $(LIBS) $(DEBUG)  $(INCLUDE)
@@ -13,15 +12,15 @@
 lib-currency-home-widget.o: lib-currency-home-widget.c
 	$(CC) -shared -c lib-currency-home-widget.c  $(DEBUG) $(INCLUDE)
 network.o : network.c
-	$(CC) $(CFLAGS) $(LIBS) -shared -c network.c $(DEBUG) 
+	$(CC) $(CFLAGS) $(LIBS) -shared -c network.c $(DEBUG)  $(INCLUDE)
 currency_func.o: currency_func.c
-	$(CC) $(CFLAGS) $(LIBS) -shared  -c currency_func.c $(DEBUG)
+	$(CC) $(CFLAGS) $(LIBS) -shared  -c currency_func.c $(DEBUG) $(INCLUDE)
 values.o: values.c
-	$(CC) $(CFLAGS) $(LIBS) -shared  -c values.c  $(DEBUG)
+	$(CC) $(CFLAGS) $(LIBS) -shared  -c values.c  $(DEBUG) $(INCLUDE)
 cJSON.o: cJSON.c
-	$(CC) $(CFLAGS) $(LIBS) -shared -c cJSON.c $(DEBUG) 
+	$(CC) $(CFLAGS) $(LIBS) -shared -c cJSON.c $(DEBUG)  $(INCLUDE)
 config.o: config.c
-	$(CC) $(CFLAGS)  $(LIBS) -shared -c config.c $(DEBUG) 
+	$(CC) $(CFLAGS)  $(LIBS) -shared -c config.c $(DEBUG)  $(INCLUDE)
 user-interface.o: user-interface.c
 	$(CC) $(CFLAGS) $(LIBS) -shared -c user-interface.c $(DEBUG)  $(INCLUDE)
 debug:

=== debian/changelog ===
currency-exchange-widget (0.1.5-1) unstable; urgency=low

    * Added DBus Support
    * Implement change all the ref currencies
 
 -- Marcin Sliwa <currency_exchange_widget@binop.com>  Thu, 19 Aug 2010 16:01:01 +0200

currency-exchange-widget (0.1.4-1) unstable; urgency=low

    * Added colors 

 -- Marcin Sliwa <currency_exchange_widget@binop.com>  Thu, 19 Aug 2010 15:34:00 +0200

=== debian/control ===
Source: currency-exchange-widget
Section: user/desktop
Priority: extra
Maintainer: Marcin Sliwa <currency_exchange_widget@binop.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libhildonfm2-dev, libdbus-1-dev, libgconf2-dev, libcurl4-openssl-dev, libconic0-dev
Standards-Version: 3.7.2

Package: currency-exchange-widget
Architecture: any
Depends: ${shlibs:Depends}
Description:
 Tracks the exchange rates of any pair of currencies.
 Multiple widgets can be added, so it is possible to simultaneously track as many exchange rates as you want.
 Live search through all currencies!
 Exchange rates are automatically updated from the Internet.
XSBC-Bugtracker: mailto:currency_exchange_widget@binop.com
XB-Maemo-Display-Name: Currency Exchange Widget
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADEAAAAwCAYAAAC4wJK5AAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0
 SU1FB9oKDQsKCUjN6loAAAsaSURBVGje1Zp5cJTlHcc/z/u+m81eSUhCEgLh
 Mgkhcmg9oFwSEcvoYEWxoqJOFQudYkVHsaNVqL0Ux6plbOlIZ7R2LFYRHOTy
 IBweRAG5AiRcAUJCSMidzV7v+/SP3SS7m3c3SxWnfWaeed59rvf3fX7n83tX
 EFXklv6I6+uRW7Nnkeyci98zA91vx9B7JgnMn0mgH0DG6Rdh44oGisWNJXkz
 nra3xNS6NbK0P6KkPv6r5JaMfJJTPqazZSjtjRLFKrDYQCggROQKJQ7hFwNC
 mjxLGayBTtA9Eke6IDmlCm/bdFFy4VhMEHL7wFsRYg2N1ZKkfgJrZpB4ZHCm
 CFthRvC3BSGjuCFDG0kJvkbwXpD0GygwjFliSs3aiFfJ7bmgqNeiB8poqpU4
 hwkUS2zCE+0jASAyBhCifktA6tBxUpKaIxDqeKReJibXhARiZ40KoozmWolz
 uEDRIgGIkOiEt13P4TV6vK9qtj58D6IOSFHAeZmgpVYixE4O1Kg9Uj1p2Apa
 aiW2XIGi9si+iLVZjJfGIi5WjeaeEucQFHrosg0StNVJrhi6ogeE7p+HgUBz
 9QbQ10nGIiKcWDUOxxSTfcxql64IAZoddF0g9XkAmtyaMxdvG1jTQRjBmWa6
 YFaJ89tM6WVUv4yh5KIP04uEpH7gaUVuy56rYHMNw9MOqr0HQF/2PHwsnsWK
 J0pchO5gItKaE/xuSE4ZpqFaFAI6KFbAMLf73RtKcCjUnPFTVeNHCrj28mQs
 KQp4ZN9ciz55I2qMPhxn+BzFCn4/qBZFS9gcWgXvbGxj0SvnOXdBjxjOy9Y4
 tHo4TnsfPkFG1ShgEolIVoKuwW0g+iIutE7rtanZuiTBwj+c47X3WwDIyh7A
 tBtuwu3uYMunmzhT10ynkYlTNkTKrjTRBRlDFwChwm2PNVN52uDgO2ngjaEz
 UX2aqRJFlXWl7d0Anv/9Uzw5T4NzpaDZYOViVm1Ix255M9LjxlPSWIAMid3h
 wpmigKGDVM09edQ+Wq9J0cUu+NmLTQAsePAOnpyxAY67e2S9/Q3mXOYGJRkM
 JdIcxuJGlIeWUiJsCvv3ezl+2kdDs2DzDsHo4TZy8yzQYYAUvTkho0HE4EL1
 aTjX4Abgr485oaMTLCJSYRV7UEn7EksTEFJKai/oXDe/imPV/u7hGY8G2xSH
 Qs3afBzWGPrUDSLGiVU3SCYuPBNUC6uNCT95C0NqEVZDSsnCOzK4d4Yz8bgp
 /MAMGDzzBLoBD//yMY4c3Mm58xdY9MgiXl7+Ogf378FtZOKQDeYghBknwoAc
 rc/CK7zAaVwuJzK1OBhRhpWAX6egKAOMI5GHkCAnVnzgRTfg/rtn8uefljL3
 1y20Jmk8UPQMD6y5nVVfzMee9EZsy9bNCcNcZktGGcyc4GLlahg3OovnH84i
 YEQSGdAF1wytDFqSREPxMAJq61oByDQ+g86MUOgPqKlQXcqc3PVASN9kLBMb
 bSXCHFTpnmZWrj4MwIbScjaUlvcmRktF7szqUbxEvX1o+pVjxwDbeWlVKzde
 nYymOlEUEeYM7ZE+OJxOI5oTRu8XXV5UwJsr5nL/gqcBKPtoBbohI045xeqB
 9leBJPMQoY97xKypGsVjxnFofxk/erw2uKfLwa+WW7hpnIsp19iRnSHHJ81N
 s5B7ipdw5NBS0osiR4UAdHDlok3dh+5r5YWH0ll8pysyXBAClKTE7tsm3JHS
 QAyYxttlo1m9fiefbF5Ha2tL9/j44mS+XDEEvKHrqgyJiRTQfAQKipeqS+f3
 n0p9/VR8DeBvA70TDC8YAZAGeOoRWdMo/fIQn+zxMP0HLgbn2UFaghd5q4Xy
 Yx5cNhWLqgQ3T6SGZFZIBdqqGOUs5c7pdipqUlCSUnhp2e94f+2HVNcHyHEY
 XDVMR/jbwdcC3gborAseSmb/rZE6EfCB7usVlT4z8zCrPh7Pof07mbToDJOK
 oGQ0uP0KWw8Y7D4O5/89EJvvHKiWvs2r4e8lXkLq0FFNoC2XJMXG3Y75ND57
 Ow8/t5rtBwMsKGkC3VyctIhoUkQpd+hZ1h2k/G838+i7i3nlT8v47Ah8doQw
 RbJiVQXoOhGpnQTKe1/A7Anhyh56uQpG7SYA+qX1g0Bbb6dsxAJhAkQI4NR6
 Xp64hZd/voxP91s42wiaCmOGwKjBDbDvj4n7iDBdWXtgEHNfrebZ2XDXBFAV
 EEj2VcJTbwUjhUfvGgnG6d5hhxEeABqhi0o0F6LvFL5O2LWYaTpgC/XXAQ0X
 mTwLM7OpTjtePzz9r2CFswBc8U1w0vq3XyRff8I8K2JE+wkjxk1NBofOt0C6
 C5JsJpbGuIgsoIx8fG3RAB5f9As+2CWpPFnLxnXv4Xa385slz3DfD1uxlz8R
 Oz9lhIcdZjoRRkSL38HslRnUnKujaIBkUqFk3HA/BTkwuH+Y45FxwMgYGE9v
 Y5ixjUfSQEy2cm9lLsfqUljgWAgH4twlZM874+tEaEGqVfL3385hT42L7buO
 sXZfBX/5/Cz4Wkizuhk7RKFkpM7YQTpFueByhfa8CB0XKuDxIv0+pFSDlAVi
 pThjKbZizgUAxe+msG4ZI6yCu2aOgHtGcNY3keMtmXxd2cwXuytYtr2C1qYG
 RKCVoRk6EwoUSkb4KMyBwgGYExVNnAIer5fOTtETRSQAQsi9xUv4/NDS7qA8
 0Vxr10b2NOhXiG4bSUXHEE40OSn96jhlew5zsuoUhrcVh9LGmMGC6wolV+YF
 KBoAWRk93JJdkYyEtrz70C39STv+kvnVNrwNAOOLl/YGIRMEYQaqa236EOhX
 RKMs5ExnDl+f8LOt7DD7yytpvFCP9DaRZfcyLl9lSr6fkTkGRTmQbA8Rpged
 uoh1Yet61oEJxUu1hCyKEWfMrK/pFDSdIl3dzIOvwponk5g3pxicBZz23kBF
 Uzo7y+v4au9Rnt1yDHdbExajhfz+BlMKBOOH+CjMhqFZYcQSI4kdcbMjgbwP
 fWceuocE1LZorN0X4IMvBbeM2otgL3kGDAamj8yGiYV0WKZwwj2QinoLO3af
 YP2eQ7y++yz+zmZStQ5mX23huZs9qEps8jS+TYnj0IQCT7wbRPjiJoMfXxEU
 la47Dx110F6Hgx2MMmC0CrNLCuD2EdQFxlPZmsU3J9pQPXWg/APwXyIQcYrH
 C2+XBVF+ftTP2UaNgSkB00MQapcYHoXGo2RLyJYwOdsJFgd0+OO+S7lUIJZ8
 qIa0NFhe2CgTi6lEWCbd1x7kWB/lkoFYtjly6+VbtUvDd9mVxkwAipSgG6CH
 2oAO/lAbCGsNA9aWO0nPcNDc2IDRFZobXpa+D3OuAVUEP/poSjAS7motoVZV
 gnPU0LfOvpRBw+c3sCeBxxeTeJ8OvkCo6j2tNxDWHzY24eoidtx2FRZHJlZn
 Zvct9szedVQc2YJFhSQNkrraULWG94WPqTHAJFvB5zc0mtpO4rLHBCFEz+a6
 JTFO6O5dGId34ZPgC3OeaQLSc74jTkjAaYOm1pNBp/jpIEll9XevIQkkq//r
 ogNFeYjrz4SsttWyEodVXgqli5fK/1bFlSyxqCt7rNPykwvIyxYYSP4fikQy
 JEewvGpBD4h5uTpSjic/938fiIEkf6AgoI/joVy9998iPsq9FU1dw/FqiS5F
 whf+7+f0QRGS/EGCgD5L3Bj1t4iIuesy80lzfkxT+1BqGyQ6IuJr5/dJdFcE
 bRGS7HRBemoVjS3TxS2Rf1AxCcXFMTG5apjcmH0bY/PvodM7A4/fjs//PQKQ
 oAiwJoFFc2OzbqK57Z9i0ok18sP+vab/B5XT12MX3XfrAAAAAElFTkSuQmCC
